SRCDIR = ..
include $(SRCDIR)/Make.Rules

CFLAGS+=-I. -I$(SRCDIR)/pbm

HDRS = pgm.h

ARLIB = libpgm.a

OBJS = libpgm1.o libpgm2.o

MAJOR = 1
MINOR = 0
PATCH = 0

SHBASE=pgm

MAN1S = asciitopgm.1 bioradtopgm.1 fstopgm.1 \
		 hipstopgm.1 lispmtopgm.1 pbmtopgm.1 \
		 pgmbentley.1 pgmenhance.1 pgmhist.1 pgmkernel.1 \
		 pgmnoise.1 pgmnorm.1 pgmoil.1 \
		 pgmramp.1 pgmtofs.1 pgmtolispm.1 pgmtopbm.1 \
		 psidtopgm.1 rawtopgm.1 spottopgm.1 \
		 pgmcrater.1 pgmedge.1 pgmtexture.1

MAN3S = libpgm.3

MAN5S = pgm.5

APPS = asciitopgm bioradtopgm fstopgm \
		 hipstopgm lispmtopgm pbmtopgm \
		 pgmbentley pgmenhance pgmhist pgmkernel \
		 pgmnoise pgmnorm pgmoil \
		 pgmramp pgmtofs pgmtolispm pgmtopbm \
		 psidtopgm rawtopgm spottopgm \
		 pgmcrater pgmedge pgmtexture

LOADLIBES=-L. -lpgm -L../pbm -lpbm -lm

include $(SRCDIR)/Make.Targets
